__gnu_pbds::direct_mask_range_hashing< Size_Type >(3cxx)

NAME
__gnu_pbds::direct_mask_range_hashing< Size_Type > - A mask range-hashing class (uses a bitmask).

SYNOPSIS

#include <hash_policy.hpp>

Inherits __gnu_pbds::detail::mask_based_range_hashing< Size_Type >.

  Public Types

typedef Size_Type size_type

  Public Member Functions

void swap (direct_mask_range_hashing< Size_Type > &other)

  Protected Member Functions

void notify_resized (size_type size)
size_type operator() (size_type hash) const
Transforms the __hash value hash into a ranged-hash value (using a bit-mask).
size_type range_hash (size_type hash) const
void swap (mask_based_range_hashing &other)

Detailed Description

  template<typename Size_Type = std::size_t>
class __gnu_pbds::direct_mask_range_hashing< Size_Type >"A mask range-hashing class (uses a bitmask).

Definition at line 109 of file hash_policy.hpp.

Member Typedef Documentation

  template<typename Size_Type = std::size_t> typedef Size_Type __gnu_pbds::direct_mask_range_hashing< Size_Type >::size_type

Definition at line 116 of file hash_policy.hpp.

Member Function Documentation

  template<typename Size_Type = std::size_t> size_type __gnu_pbds::direct_mask_range_hashing< Size_Type >::operator() (size_type hash) const [inline], [protected]

Transforms the __hash value hash into a ranged-hash value (using a bit-mask).

  template<typename Size_Type > size_type __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::range_hash (size_type hash) const [inline], [protected], [inherited]

Definition at line 63 of file mask_based_range_hashing.hpp.

  template<typename Size_Type > void __gnu_pbds::detail::mask_based_range_hashing< Size_Type >::swap (mask_based_range_hashing< Size_Type > & other) [inline], [protected], [inherited]

Definition at line 56 of file mask_based_range_hashing.hpp.

Author

Generated automatically by Doxygen for libstdc++ from the source code.